Cyberduck Mountain Duck CLI

#11265 closed enhancement (fixed)

Allow custom session duration for STS

Reported by: Fydon Owned by:
Priority: normal Milestone: 7.7.2
Component: s3 Version: 7.7.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Thank you for this great app. get-session-token has a --duration-seconds parameter which defaults to 3600 (1 hour). The credentials file has the duration_seconds setting to determine the length of a session for a profile. Would it be possible to use duration_seconds or allow the user to set the duration in the UI so that the session can last longer than an hour, especially with #10917 breaking the session when it end?

Change History (4)

comment:1 Changed on Nov 26, 2020 at 6:46:16 PM by Fydon

I created a pull request for this

comment:2 Changed on Nov 26, 2020 at 7:29:47 PM by dkocher

  • Milestone set to 7.8.0

comment:3 Changed on Nov 27, 2020 at 8:27:35 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r50191.

comment:4 Changed on Nov 30, 2020 at 2:25:31 PM by dkocher

  • Milestone changed from 7.8.0 to 7.7.2

Milestone renamed

Note: See TracTickets for help on using tickets.